package com.gyee.runeconomy.model.vo;

import lombok.Data;

@Data
public class NewDataFittingVo {
    private static final long serialVersionUID = 1L;
    /**
     * 场站
     */
    private String station;
    /**
     * 风机
     */
    private String wtIds;
    /**
     * 开始时间
     */
    private Long st;
    /**
     * 结束时间
     */
    private Long et;
    /**
     * 时间间隔
     */
    private Integer interval;
    /**
     * 最大风速
     */
    private Double maxs;
    /**
     * 最小风速
     */
    private Double mins;
    /**
     * 最大功率
     */
    private Double maxp;
    /**
     * 最小功率
     */
    private Double minp;
    /**
     * 非并网
     */
    private Boolean isfbw;
    /**
     * 非合理值
     */
    private Boolean isfhl;
    /**
     * 并网后10分钟
     */
    private Boolean isbw;
    /**
     * 停机前10分钟
     */
    private Boolean istj;
    /**
     * 功率曲线偏差
     */
    private Boolean isglpc;
    /**
     * 是否欠符合
     */
    private Boolean isqfh;
    /**
     * 欠符合等级
     */
    private Integer qfhdj;
    /**
     * 多项式
     */
    private Integer dimension;
    /**
     *  拟合方式  0：单台拟合  1：合并拟合  2：同名拟合
     */
    private Integer mode;

    public Boolean getIsfbw() {
        isfbw = isfbw == null ? false : isfbw;
        return isfbw;
    }

    public Boolean getIsfhl() {
        isfhl = isfhl == null ? false : isfhl;
        return isfhl;
    }

    public Boolean getIsbw() {
        isbw = isbw == null ? false : isbw;
        return isbw;
    }

    public Boolean getIstj() {
        istj = istj == null ? false : istj;
        return istj;
    }

    public Boolean getIsglpc() {
        isglpc = isglpc == null ? false : isglpc;
        return isglpc;
    }

    public Boolean getIsqfh() {
        isqfh = isqfh == null ? false : isqfh;
        return isqfh;
    }

}
